# Number Range

This field type renders a number range slider.

### Parameters

Parameters are inherited from the [Number](/developer-docs/framework/fields/number.md) field type. If the `min_value` and `max_value` parameters are set, a range slider is rendered in addition to the number fields.

### Example

The code below renders a required number range slider with the `custom_field` name and "Custom field" label. It allows selecting a number range between 1 and 100.

```php
echo ( new HivePress\Fields\Number_Range(
	[
		'name'      => 'custom_field',
		'label'     => 'Custom field',
		'min_value' => 1,
		'max_value' => 100,
		'required'  => true,
	]
) )->render();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/fields/number-range.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
